<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Name: Precedenti Esami Eseguiti (RSA)
Description: Relevant diagnostic tests/laboratory data Narrative (LOINC: 30954-2 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000">
   <title>Precedenti Esami Eseguiti (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3294-false-d485681e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:text) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']"
         id="d42e3300-false-d485737e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.5')">(Precedenti_Esami_Eseguiti): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3307-false-d485757e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="@nullFlavor or (@code='30954-2 ' and @codeSystem='2.16.840.1.113883.6.1')">(Precedenti_Esami_Eseguiti): The element value SHALL be one of 'code '30954-2 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@code) = ('30954-2')">(Precedenti_Esami_Eseguiti): The value for code SHALL be '30954-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]"
         id="d42e3330-false-d485803e0">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Precedenti_Esami_Eseguiti): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Precedenti_Esami_Eseguiti): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:observation[@moodCode = 'EVN']) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:observation[@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:observation[@moodCode = 'EVN']) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:observation[@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']"
         id="d42e3348-false-d485835e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN')">(Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:code) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:code) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:value) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:value) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:code
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:code"
         id="d42e3354-false-d485873e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="@code">(Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Precedenti_Esami_Eseguiti): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="@codeSystem">(Precedenti_Esami_Eseguiti): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Precedenti_Esami_Eseguiti): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:code/hl7:translation
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:effectiveTime
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:value
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[@moodCode = 'EVN']]/hl7:observation[@moodCode = 'EVN']/hl7:value"
         id="d42e3390-false-d485916e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3')">(Precedenti_Esami_Eseguiti): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
