<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Name: Confronto Con Precedenti Esami Eseguiti (RSA)
Description: Comparison With Previous Exams Performed (LOINC: X1-8 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000">
   <title>Confronto Con Precedenti Esami Eseguiti (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3552-false-d488505e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.8']) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.8'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:text) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.8']
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.8']"
         id="d42e3558-false-d488558e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.8')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.8'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3565-false-d488578e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@code) = ('93126-1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be '93126-1'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.8
Context: *[hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '93126-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->
</pattern>
