<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Name: Accertamenti e Controlli Consigliati (RSA)
Description: Recommendation [Interpretation] Document (LOINC: 62385-0 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000">
   <title>Accertamenti e Controlli Consigliati (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e2895-false-d484279e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Accertamenti_e_Controlli_Consigliati): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Accertamenti_e_Controlli_Consigliati): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:text) &gt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']"
         id="d42e2901-false-d484335e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.13')">(Accertamenti_e_Controlli_Consigliati): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2908-false-d484355e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@code) = ('80615-8')">(Accertamenti_e_Controlli_Consigliati): The value for code SHALL be '80615-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Accertamenti_e_Controlli_Consigliati): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Accertamenti_e_Controlli_Consigliati): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]"
         id="d42e2929-false-d484391e0">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Accertamenti_e_Controlli_Consigliati): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Accertamenti_e_Controlli_Consigliati): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']) &gt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:act[@classCode = 'ACT'][@moodCode = 'PRP'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:act[@classCode = 'ACT'][@moodCode = 'PRP'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]/hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]/hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']"
         id="d42e2947-false-d484423e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@moodCode) = ('PRP')">(Accertamenti_e_Controlli_Consigliati): The value for moodCode SHALL be 'PRP'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@classCode) = ('ACT')">(Accertamenti_e_Controlli_Consigliati): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:code) &gt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:code) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]/hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']/hl7:code
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]/hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']/hl7:code"
         id="d42e2953-false-d484447e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="@code">(Accertamenti_e_Controlli_Consigliati): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Accertamenti_e_Controlli_Consigliati): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="@codeSystem">(Accertamenti_e_Controlli_Consigliati): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Accertamenti_e_Controlli_Consigliati): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Accertamenti_e_Controlli_Consigliati): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Accertamenti_e_Controlli_Consigliati): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '80615-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']]/hl7:act[@classCode = 'ACT'][@moodCode = 'PRP']/hl7:code/hl7:translation
Item: (Accertamenti_e_Controlli_Consigliati)
-->
</pattern>
